Diferentes mensajes de error al usar pip install, pip list ect

Estaba intentando solucionar otro problema cuando intenté hacer una pip uninstall scikit-learn Después de hacer eso, recibí un texto en rojo como:

 pip install --upgrade pip Error checking for conflicts. Traceback (most recent call last): File "c:\users\james\appdata\local\programs\python\python37\lib\site-packages\ pip\_vendor\pkg_resources\__init__.py", line 2584, in version return self._version File "c:\users\james\appdata\local\programs\python\python37\lib\site-packages\ pip\_vendor\pkg_resources\__init__.py", line 2691, in __getattr__ raise AttributeError(attr) AttributeError: _version During handling of the above exception, another exception occurred: Traceback (most recent call last): File "c:\users\james\appdata\local\programs\python\python37\lib\site-packages\ pip\_internal\commands\install.py", line 503, in _warn_about_conflicts package_set, _dep_info = check_install_conflicts(to_install) File "c:\users\james\appdata\local\programs\python\python37\lib\site-packages\ pip\_internal\operations\check.py", line 108, in check_install_conflicts package_set, _ = create_package_set_from_installed() File "c:\users\james\appdata\local\programs\python\python37\lib\site-packages\ pip\_internal\operations\check.py", line 47, in create_package_set_from_installe d package_set[name] = PackageDetails(dist.version, dist.requires()) File "c:\users\james\appdata\local\programs\python\python37\lib\site-packages\ pip\_vendor\pkg_resources\__init__.py", line 2589, in version raise ValueError(tmpl % self.PKG_INFO, self) ValueError: ("Missing 'Version:' header and/or METADATA file", Unknown [unknown version] (c:\users\james\appdata\local\programs\python\python37\lib\site-package s)) C:\Users\James>pip list Exception: Traceback (most recent call last): File "c:\users\james\appdata\local\programs\python\python37\lib\site-packages\ pip\_vendor\pkg_resources\__init__.py", line 2584, in version return self._version File "c:\users\james\appdata\local\programs\python\python37\lib\site-packages\ pip\_vendor\pkg_resources\__init__.py", line 2691, in __getattr__ raise AttributeError(attr) AttributeError: _version During handling of the above exception, another exception occurred: Traceback (most recent call last): File "c:\users\james\appdata\local\programs\python\python37\lib\site-packages\ pip\_internal\cli\base_command.py", line 176, in main status = self.run(options, args) File "c:\users\james\appdata\local\programs\python\python37\lib\site-packages\ pip\_internal\commands\list.py", line 148, in run self.output_package_listing(packages, options) File "c:\users\james\appdata\local\programs\python\python37\lib\site-packages\ pip\_internal\commands\list.py", line 205, in output_package_listing data, header = format_for_columns(packages, options) File "c:\users\james\appdata\local\programs\python\python37\lib\site-packages\ pip\_internal\commands\list.py", line 271, in format_for_columns row = [proj.project_name, proj.version] File "c:\users\james\appdata\local\programs\python\python37\lib\site-packages\ pip\_vendor\pkg_resources\__init__.py", line 2589, in version raise ValueError(tmpl % self.PKG_INFO, self) ValueError: ("Missing 'Version:' header and/or METADATA file", Unknown [unknown version] (c:\users\james\appdata\local\programs\python\python37\lib\site-package s)) 

Cualquier consejo sobre cómo arreglaría esto (Windows). Ni siquiera sé qué buscar para este error. Cualquier consejo sería una bendición!

Un problema similar se aborda en este problema en el repository de GitHub de pip .

La recomendación en tu caso sería entrar en

 c:\users\james\appdata\local\programs\python\python37\lib\site-packages 

y, para cada carpeta que comience con “-“, elimínela y vuelva a instalar el paquete correspondiente.